# Uses of Class
java.rmi.activation.ActivationGroupDesc

Packages that use ActivationGroupDesc
Package
Description
java.rmi.activation
Provides support for RMI Object Activation.

## Uses of ActivationGroupDesc in java.rmi.activation

Methods in java.rmi.activation that return ActivationGroupDesc
Modifier and Type
Method
Description
`ActivationGroupDesc`
ActivationSystem.`getActivationGroupDesc​(ActivationGroupID id)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the activation group descriptor, for the group with the activation group identifier, `id`.
`ActivationGroupDesc`
ActivationSystem.`setActivationGroupDesc​(ActivationGroupID id, ActivationGroupDesc desc)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the activation group descriptor, `desc` for the object with the activation group identifier, `id`.
Methods in java.rmi.activation with parameters of type ActivationGroupDesc
Modifier and Type
Method
Description
`static ActivationGroup`
ActivationGroup.`createGroup​(ActivationGroupID id, ActivationGroupDesc desc, long incarnation)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create and set the activation group for the current VM.
`ActivationGroupID`
ActivationSystem.`registerGroup​(ActivationGroupDesc desc)`
Deprecated, for removal: This API element is subject to removal in a future version.
Register the activation group.
`ActivationGroupDesc`
ActivationSystem.`setActivationGroupDesc​(ActivationGroupID id, ActivationGroupDesc desc)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the activation group descriptor, `desc` for the object with the activation group identifier, `id`.